Page MenuHomePhabricator

[CrossDSOCFI] Change the pass so that it doesn't require doInitialization()
ClosedPublic

Authored by davide on Jun 14 2016, 3:41 PM.

Details

Summary

Chandler tells me that the equivalent of doInitialization in the new PM is the constructor.
This one, though, doesn't access to the module. I think that for this particular pass doInitialization() can be avoided, so I tried to modify it accordingly. Please let me know if I missed something obvious as I'm not familiar at all with this pass.

Diff Detail

Repository
rL LLVM

Event Timeline

davide updated this revision to Diff 60775.Jun 14 2016, 3:41 PM
davide retitled this revision from to [CrossDSOCFI] Change the pass so that it doesn't require doInitialization().
davide updated this object.
davide added reviewers: eugenis, chandlerc, pcc.
davide added a subscriber: llvm-commits.
pcc edited edge metadata.Jun 29 2016, 4:01 PM

I think this patch needs to be refreshed.

lib/Transforms/IPO/CrossDSOCFI.cpp
53 ↗(On Diff #60775)

Remove this line.

davide updated this revision to Diff 63152.Jul 7 2016, 4:02 PM
davide edited edge metadata.

Rebased now that Peter patches landed upstream

pcc accepted this revision.Jul 8 2016, 11:44 AM
pcc edited edge metadata.

LGTM

lib/Transforms/IPO/CrossDSOCFI.cpp
49 ↗(On Diff #63152)

Remove this field.

This revision is now accepted and ready to land.Jul 8 2016, 11:44 AM
This revision was automatically updated to reflect the committed changes.